Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class AbstractOOXMLSignatureService

    java.lang.Object
      be.fedict.eid.applet.service.signer.AbstractXmlSignatureService
          be.fedict.eid.applet.service.signer.ooxml.AbstractOOXMLSignatureService

All Implemented Interfaces:
  SignatureService

    public abstract class AbstractOOXMLSignatureService

extends AbstractXmlSignatureService

Signature Service implementation for Office OpenXML document format XML signatures.

Author:
  Frank Cornelis

Constructor Summary
`protected` | `AbstractOOXMLSignatureService(DigestAlgo digestAlgo)`

Method Summary
`protected String` | `getCanonicalizationMethod()`
`String` | `getFilesDigestAlgorithm()`
`protected abstract URL` | `getOfficeOpenXMLDocumentURL()` Gives back the URL of the OOXML to be signed.
`protected String` | `getSignatureDescription()` Gives back the human-readable description of what the citizen will be signing.
`protected OutputStream` | `getSignedDocumentOutputStream()` Gives back the output stream to which to write the signed XML document.
`protected abstract OutputStream` | `getSignedOfficeOpenXMLDocumentOutputStream()` The output stream to which to write the signed Office OpenXML file.
`protected URIDereferencer` | `getURIDereferencer()` Override this method to change the URI dereferener used by the signing engine.
`protected XAdESSignatureFacet` | `getXAdESSignatureFacet()` Gives back the used XAdES signature facet.

Methods inherited from class be.fedict.eid.applet.service.signer.AbstractXmlSignatureService
`addSignatureFacet, getEnvelopingDocument, getSignatureDigestAlgorithm, getTemporaryDataStorage, loadDocument, loadDocumentNoClose, postSign, preSign, setSignatureId, setSignatureNamespacePrefix, writeDocument, writeDocumentNoClosing, writeDocumentNoClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOOXMLSignatureService

    protected AbstractOOXMLSignatureService(DigestAlgo digestAlgo)

Method Detail

### getXAdESSignatureFacet

    protected XAdESSignatureFacet getXAdESSignatureFacet()

  Gives back the used XAdES signature facet.

  Returns:

### getSignatureDescription

    protected String getSignatureDescription()

  Description copied from class: `AbstractXmlSignatureService`
  Gives back the human-readable description of what the citizen will be signing. The default value is "XML Document". Override this method to provide the citizen with another description.

  Overrides:
    `getSignatureDescription` in class `AbstractXmlSignatureService`
  Returns:

### getFilesDigestAlgorithm

    public String getFilesDigestAlgorithm()

### getURIDereferencer

    protected final URIDereferencer getURIDereferencer()

  Description copied from class: `AbstractXmlSignatureService`
  Override this method to change the URI dereferener used by the signing engine.

  Overrides:
    `getURIDereferencer` in class `AbstractXmlSignatureService`
  Returns:

### getCanonicalizationMethod

    protected String getCanonicalizationMethod()

  Overrides:
    `getCanonicalizationMethod` in class `AbstractXmlSignatureService`

### getSignedOfficeOpenXMLDocumentOutputStream

    protected abstract OutputStream getSignedOfficeOpenXMLDocumentOutputStream()

  The output stream to which to write the signed Office OpenXML file.

  Returns:

### getOfficeOpenXMLDocumentURL

    protected abstract URL getOfficeOpenXMLDocumentURL()

  Gives back the URL of the OOXML to be signed.

  Returns:

### getSignedDocumentOutputStream

    protected OutputStream getSignedDocumentOutputStream()

  Description copied from class: `AbstractXmlSignatureService`
  Gives back the output stream to which to write the signed XML document.

  Specified by:
    `getSignedDocumentOutputStream` in class `AbstractXmlSignatureService`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.